#!/bin/sh
# Maintained by CommandIR Support commandir at commandir.com
# Comments / Suggestions Welcome.
if [ $# -lt 3 ]
then
  echo "IR Control Script for CommandIR III Command Line Utilities v0.3
  
Usage:  
$0 EMITTER_NUMBER DEVICE_PREFIX (CHANNEL_NUMBER | IR_COMMAND) [DELAY]

Sends an IR command or sequence of numbers using DEVICE_PREFIX via emitter
EMITTER_NUM.  DELAY (in seconds) is waited between sending IR commands.
 
Example:  Change Scientific Atlanta box to channel 123 using emitter 3 with a 0.1s pause between digits:
$0 3 sa 123 .1
"
  exit 1
fi

if [ $# -eq 4 ]
then
 DELAY=$4
else
 DELAY=200
fi

export PATH=/bin:/usr/bin:/usr/local/bin
DEVICE_NAME=$2
TRANSMITTER=$1
cmd="$3"
COMMANDLINE="-d$DELAY -e$TRANSMITTER "


case $cmd in
    [0-9]*)
    for digit in $(echo $3 | sed -e 's/./& /g'); do 
        COMMANDLINE="$COMMANDLINE ircodes/$DEVICE_NAME"
        COMMANDLINE="$COMMANDLINE""_$digit "
    done
    ;;

    *)
        COMMANDLINE="$COMMANDLINE $DEVICE_NAME"
        COMMANDLINE="$COMMANDLINE""_$cmd "
        ;;
esac

echo "Running: commandir_send $COMMANDLINE"
commandir_send $COMMANDLINE
